XFuParticleSystem::Particle struct Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuParticleSystem::Particle Struct Reference

Single particle structure. More...

`#include <XFuParticleSystem.h>`

List of all members.

## Public Attributes

XFcFixed | mX
XFcFixed | mY
XFcFixed | mZ
| Current position.
XFcFixed | mXi
XFcFixed | mYi
XFcFixed | mZi
| Current motion vector.
XFcFixed | mAngle
| Current z-rotation angle.
XFcFixed | mBaseRotation
| Base rotation.
XFcFixed | mSize
| Current size.
XFcFixed | mAge
| Current age.
XFcFixed | mMaxAge
| Maximum age.
INT32 | mUniqueSeed
| For noise controller(s).

## Detailed Description

Single particle structure.

Definition at line 142 of file XFuParticleSystem.h.

## Member Data Documentation

XFcFixed XFuParticleSystem::Particle::mAge

| Current age. Definition at line 149 of file XFuParticleSystem.h. Referenced by XFuParticleSystem::newParticle(), XFuParticleSystem::render(), XFuParticleSystem::restart(), and XFuParticleSystem::tickOnce().

XFcFixed XFuParticleSystem::Particle::mAngle

| Current z-rotation angle. Definition at line 146 of file XFuParticleSystem.h. Referenced by XFuParticleSystem::newParticle(), and XFuParticleSystem::tickOnce().

XFcFixed XFuParticleSystem::Particle::mBaseRotation

| Base rotation. Definition at line 147 of file XFuParticleSystem.h. Referenced by XFuParticleSystem::newParticle(), and XFuParticleSystem::tickOnce().

XFcFixed XFuParticleSystem::Particle::mMaxAge

| Maximum age. Definition at line 150 of file XFuParticleSystem.h. Referenced by XFuParticleSystem::newParticle(), and XFuParticleSystem::tickOnce().

XFcFixed XFuParticleSystem::Particle::mSize

| Current size. Definition at line 148 of file XFuParticleSystem.h.

INT32 XFuParticleSystem::Particle::mUniqueSeed

| For noise controller(s). Definition at line 151 of file XFuParticleSystem.h. Referenced by XFuParticleSystem::newParticle().

XFcFixed XFuParticleSystem::Particle::mX

| Definition at line 144 of file XFuParticleSystem.h. Referenced by XFuParticleSystem::newParticle(), and XFuParticleSystem::tickOnce().

XFcFixed XFuParticleSystem::Particle::mXi

| Definition at line 145 of file XFuParticleSystem.h. Referenced by XFuParticleSystem::newParticle(), and XFuParticleSystem::tickOnce().

XFcFixed XFuParticleSystem::Particle::mY

| Definition at line 144 of file XFuParticleSystem.h. Referenced by XFuParticleSystem::newParticle(), and XFuParticleSystem::tickOnce().

XFcFixed XFuParticleSystem::Particle::mYi

| Definition at line 145 of file XFuParticleSystem.h. Referenced by XFuParticleSystem::newParticle(), and XFuParticleSystem::tickOnce().

XFcFixed XFuParticleSystem::Particle::mZ

| Current position. Definition at line 144 of file XFuParticleSystem.h. Referenced by XFuParticleSystem::newParticle(), and XFuParticleSystem::tickOnce().

XFcFixed XFuParticleSystem::Particle::mZi

| Current motion vector. Definition at line 145 of file XFuParticleSystem.h. Referenced by XFuParticleSystem::newParticle(), and XFuParticleSystem::tickOnce().

The documentation for this struct was generated from the following file:

- XFuParticleSystem.h

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch